Loading...
Searching...
No Matches
AvahiService Class Reference

`#include <avahi_register.h>`

## Public Member Functions

| AvahiService ()
| ~AvahiService ()
bool | register_service (std::string name, int port)

## Static Private Member Functions

static void | state_changed (GaEntryGroup *group, GaEntryGroupState state, void *data)

## Private Attributes

GaClient * | client
GaEntryGroup * | group
std::string | current_name
int | registered_port

## Detailed Description

Definition at line 29 of file avahi_register.h.

## Constructor & Destructor Documentation

## AvahiService()

AvahiService::AvahiService | ( |  | ) |

## ~AvahiService()

AvahiService::~AvahiService | ( |  | ) |

## Member Function Documentation

## register_service()

bool AvahiService::register_service | ( | std::string | name,
|  | int | port )

## state_changed()

void AvahiService::state_changed | ( | GaEntryGroup * | group,
|  | GaEntryGroupState | state,
|  | void * | data )

static private

## Member Data Documentation

## client

GaClient* AvahiService::client

private

Definition at line 31 of file avahi_register.h.

## current_name

std::string AvahiService::current_name

private

Definition at line 33 of file avahi_register.h.

## group

GaEntryGroup* AvahiService::group

private

Definition at line 32 of file avahi_register.h.

Referenced by state_changed().

## registered_port

int AvahiService::registered_port

private

Definition at line 34 of file avahi_register.h.

The documentation for this class was generated from the following file:

- src/headers/avahi_register.h